For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Carts
      • Checkouts
          • GETGet Checkout
          • PUTUpdate Customer Messages
            • POSTAdd Gift Certificate to Checkout
            • DELDelete Gift Certificate
      • Consent
      • Customers
      • Subscriptions
      • Form Fields
      • Orders
      • Pickup Options
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTStorefrontCheckoutsGift Certificates

Delete Gift Certificate

DELETE
https://your_store.example.com/api/storefront/checkouts/:checkoutId/gift-certificates/:giftCertificateCode
DELETE
/api/storefront/checkouts/:checkoutId/gift-certificates/:giftCertificateCode
$curl -X DELETE https://your_store.example.com/api/storefront/checkouts/checkoutId/gift-certificates/giftCertificateCode \
> -H "Accept: application/json"
200Deleted
1{
2 "billingAddress": {
3 "countryCode": "string",
4 "address1": "string",
5 "address2": "string",
6 "city": "string",
7 "company": "string",
8 "country": "string",
9 "customFields": [
10 {
11 "fieldId": "string",
12 "fieldValue": "string"
13 }
14 ],
15 "email": "string",
16 "firstName": "string",
17 "lastName": "string",
18 "stateOrProvince": "string",
19 "stateOrProvinceCode": "string",
20 "phone": "string",
21 "postalCode": "string"
22 },
23 "cart": {
24 "baseAmount": 1.1,
25 "cartAmount": 1.1,
26 "createdTime": "string",
27 "coupons": [
28 {
29 "code": "string",
30 "id": 1,
31 "displayName": "string",
32 "couponType": "per_item_discount",
33 "discountedAmount": 1.1
34 }
35 ],
36 "currency": {
37 "code": "string",
38 "decimalPlaces": 1.1,
39 "name": "string",
40 "symbol": "string"
41 },
42 "customerId": 1,
43 "discountAmount": 1.1,
44 "discounts": [
45 {
46 "id": 1,
47 "discountedAmount": 1.1
48 }
49 ],
50 "email": "string",
51 "id": "string",
52 "isTaxIncluded": true,
53 "lineItems": {
54 "digitalItems": [
55 {
56 "quantity": 1.1,
57 "addedByPromotion": true,
58 "categoryNames": [
59 "string"
60 ],
61 "comparisonPrice": 1.1,
62 "couponAmount": 1.1,
63 "discounts": [
64 {
65 "id": 1,
66 "discountedAmount": 1.1
67 }
68 ],
69 "discountAmount": 1.1,
70 "extendedComparisonPrice": 1.1,
71 "extendedListPrice": 1.1,
72 "extendedSalePrice": 1.1,
73 "giftWrapping": {
74 "name": "string",
75 "message": "string",
76 "amount": 1.1
77 },
78 "id": "string",
79 "imageUrl": "string",
80 "isMutable": true,
81 "isShippingRequired": true,
82 "isTaxable": true,
83 "listPrice": 1.1,
84 "name": "string",
85 "options": [
86 {
87 "name": "string",
88 "nameId": 1,
89 "value": "string",
90 "valueId": "string"
91 }
92 ],
93 "originalPrice": 1.1,
94 "parentId": "string",
95 "productId": 1,
96 "sku": "string",
97 "salePrice": 1.1,
98 "type": "string",
99 "url": "string",
100 "variantId": 1
101 }
102 ],
103 "physicalItems": [
104 {
105 "quantity": 1.1,
106 "addedByPromotion": true,
107 "categoryNames": [
108 "string"
109 ],
110 "comparisonPrice": 1.1,
111 "couponAmount": 1.1,
112 "discounts": [
113 {
114 "id": 1,
115 "discountedAmount": 1.1
116 }
117 ],
118 "discountAmount": 1.1,
119 "extendedComparisonPrice": 1.1,
120 "extendedListPrice": 1.1,
121 "extendedSalePrice": 1.1,
122 "giftWrapping": {
123 "name": "string",
124 "message": "string",
125 "amount": 1.1
126 },
127 "id": "string",
128 "imageUrl": "string",
129 "isMutable": true,
130 "isShippingRequired": true,
131 "isTaxable": true,
132 "listPrice": 1.1,
133 "name": "string",
134 "options": [
135 {
136 "name": "string",
137 "nameId": 1,
138 "value": "string",
139 "valueId": "string"
140 }
141 ],
142 "originalPrice": 1.1,
143 "parentId": "string",
144 "productId": 1,
145 "sku": "string",
146 "salePrice": 1.1,
147 "type": "string",
148 "url": "string",
149 "variantId": 1
150 }
151 ],
152 "customItems": [
153 {
154 "id": "string",
155 "listPrice": "string",
156 "name": "string",
157 "quantity": "string",
158 "sku": "string"
159 }
160 ],
161 "giftCertificates": [
162 {
163 "amount": 1.1,
164 "recipient": {
165 "name": "string",
166 "email": "string"
167 },
168 "sender": {
169 "name": "string",
170 "email": "string"
171 },
172 "theme": "string",
173 "id": "string",
174 "message": "string",
175 "name": "string",
176 "taxable": true,
177 "type": "string"
178 }
179 ]
180 },
181 "locale": "en",
182 "updatedTime": "string",
183 "version": 1
184 },
185 "channelId": 1,
186 "consignments": [
187 {
188 "address": {
189 "countryCode": "string",
190 "address1": "string",
191 "address2": "string",
192 "city": "string",
193 "company": "string",
194 "country": "string",
195 "customFields": [
196 {
197 "fieldId": "string",
198 "fieldValue": "string"
199 }
200 ],
201 "email": "string",
202 "firstName": "string",
203 "lastName": "string",
204 "stateOrProvince": "string",
205 "stateOrProvinceCode": "string",
206 "phone": "string",
207 "postalCode": "string",
208 "id": "string",
209 "shouldSaveAddress": true
210 },
211 "availableShippingOptions": [
212 {
213 "cost": 1.1,
214 "description": "string",
215 "id": "string",
216 "imageUrl": "string",
217 "transitTime": "string",
218 "type": "string",
219 "isRecommended": true,
220 "additionalDescription": "string"
221 }
222 ],
223 "couponDiscounts": [
224 {
225 "amount": 1.1,
226 "code": "string"
227 }
228 ],
229 "discounts": [
230 {
231 "id": "string"
232 }
233 ],
234 "handlingCost": 1.1,
235 "id": "string",
236 "selectedPickupOption": {
237 "pickupMethodId": 1
238 },
239 "selectedShippingOption": {
240 "description": "string",
241 "id": "string",
242 "type": "string",
243 "imageUrl": "string",
244 "cost": 1.1,
245 "transitTime": "string",
246 "additionalDescription": "string"
247 },
248 "shippingCost": 1.1,
249 "shippingCostBeforeDiscount": 1.1,
250 "comparisonShippingCost": 1.1,
251 "lineItemIds": [
252 "string"
253 ],
254 "shippingAddress": {}
255 }
256 ],
257 "coupons": [
258 {
259 "code": "string",
260 "id": 1,
261 "displayName": "string",
262 "couponType": 1,
263 "discountedAmount": 1.1
264 }
265 ],
266 "fees": [
267 {
268 "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
269 "type": "custom_fee",
270 "name": "AAINS",
271 "displayName": "Package Protection Insurance",
272 "cost": 10,
273 "source": "AA",
274 "taxClassId": 1
275 }
276 ],
277 "createdTime": "string",
278 "customer": {
279 "addresses": [
280 {
281 "id": 1,
282 "firstName": "string",
283 "lastName": "string",
284 "company": "string",
285 "address1": "string",
286 "address2": "string",
287 "city": "string",
288 "stateOrProvince": "string",
289 "stateOrProvinceCode": "string",
290 "countryCode": "string",
291 "postalCode": "string",
292 "phone": "string",
293 "type": "string",
294 "customFields": [
295 {
296 "fieldId": "string",
297 "fieldValue": "string"
298 }
299 ]
300 }
301 ],
302 "customerGroup": {
303 "id": 1,
304 "name": "string"
305 },
306 "email": "string",
307 "firstName": "string",
308 "fullName": "string",
309 "id": 1,
310 "isGuest": true,
311 "lastName": "string",
312 "shouldEncourageSignIn": true,
313 "storeCredit": 1.1
314 },
315 "customerMessage": "string",
316 "giftCertificates": [
317 {
318 "balance": 1.1,
319 "code": "string",
320 "purchaseDate": "2023-01-15",
321 "remaining": 1.1,
322 "used": 1.1
323 }
324 ],
325 "giftWrappingCostTotal": 1.1,
326 "grandTotal": 1.1,
327 "handlingCostTotal": 1.1,
328 "id": "string",
329 "isStoreCreditApplied": true,
330 "orderId": "string",
331 "outstandingBalance": 1.1,
332 "payments": [
333 {
334 "providerId": "string",
335 "gatewayId": "string",
336 "providerType": "PAYMENT_TYPE_HOSTED",
337 "detail": [
338 "FINALIZE"
339 ]
340 }
341 ],
342 "promotions": [
343 {
344 "type": "promotion",
345 "text": "string"
346 }
347 ],
348 "shippingCostBeforeDiscount": 1.1,
349 "comparisonShippingCost": 1.1,
350 "shippingCostTotal": 1.1,
351 "shouldExecuteSpamCheck": true,
352 "subtotal": 1.1,
353 "taxes": [
354 {
355 "name": "string",
356 "amount": 1.1
357 }
358 ],
359 "taxTotal": 1.1,
360 "updatedTime": "string",
361 "version": 1
362}
Deletes an existing *Gift Certificate*. This removes the *Gift Certificate* payment method. > #### Note > * Substitute your storefront domain for `yourstore.example.com`. > * The Send a Test Request feature is not currently supported for this endpoint. > * This endpoint requires using Stencil CLI, a local session, and a CSRF token to work.
Was this page helpful?
Previous

Add Gift Certificate to Checkout

Next

Checkout Spam Protection

Built with

Deletes an existing Gift Certificate.

This removes the Gift Certificate payment method.

Note

  • Substitute your storefront domain for yourstore.example.com.
  • The Send a Test Request feature is not currently supported for this endpoint.
  • This endpoint requires using Stencil CLI, a local session, and a CSRF token to work.

Path parameters

checkoutIdstringRequiredformat: "uuid"
The ID of the subject checkout. Identical to the cart ID.
giftCertificateCodestringRequired
The code of the subject gift certificate.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

billingAddressobject
cartobject

A cart contains a collection of items, prices, discounts, etc. It does not contain customer-related data.

channelIdinteger
Channel ID.
consignmentslist of objects
couponslist of objects
Coupons applied at the checkout level.
feeslist of objects
Fees applied at the checkout level.
createdTimestring
Time when the cart was created.
customerobject
Customer details.
customerMessagestring

Shopperʼs message provided as details for the order to be created from this cart

giftCertificateslist of objects

Applied gift certificate (as a payment method).

giftWrappingCostTotaldouble
Gift wrapping cost for all items, including or excluding tax.
grandTotaldouble
The total payable amount, before applying any store credit or gift certificate.
handlingCostTotaldouble
Handling cost for all consignments including or excluding tax.
idstringformat: "uuid"
isStoreCreditAppliedboolean

true value indicates StoreCredit has been applied.

orderIdstring or null
outstandingBalancedouble

grandTotal subtract the store-credit amount

paymentslist of objects
promotionslist of objects
shippingCostBeforeDiscountdouble
Total shipping cost for the checkout before discounts are applied.
comparisonShippingCostdouble
Total shipping cost for the checkout after automatic promotions are applied.
shippingCostTotaldouble
Shipping cost before any discounts are applied.
shouldExecuteSpamCheckboolean
subtotaldouble

Subtotal of the checkout before applying item-level discounts. Tax inclusive based on the store settings.

taxeslist of objects
taxTotaldouble
updatedTimestring
Time when the cart was last updated.
versioninteger
The current version of the checkout increments with each successful update. You can use it to enable optimistic concurrency control for subsequent updates.

The MIME type of the response body.